Subject: Re: Perl problem still..
From: "Gerrit P. Haase" <[email-masked]>
To: Karl Zilles <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Aug 2001 11:42:15 +0200

Karl Zilles schrieb am 2001-08-24, 17:16:

>This was discussed many moons ago from the old perl version and I was
>hoping to see a fix in the new release.
>
>If I go to a text mounted directory and execute
>
>perl -p -i -e ';' textfile.txt

How should that work on windows?

I got another error here:
$ perl -p -i -e ';' textfile.txt
Can't do inplace edit on textfile.txt: Permission denied.

>Then every line in the textfile receives an extra '\r'.  So, this being
>a dos text file, it gets two '\r's on every line.

I'm looking into this issue right now and i think i fixed it, but needs
more testing. I got a miniperl version here which works correct with 
linefeeds on textmounts. I'm sure in the next release (probably soon) 
this bug is fixed.

>It appears that the file is being read in binary mode, and written in
>text mode.  

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/